Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Problem: Repository 'MEGAsync' is invalid

  1. #1

    Default Problem: Repository 'MEGAsync' is invalid

    Whenever i do
    Code:
    sudo zypper ref
    i get this error

    Retrieving repository 'MEGAsync' metadata .....................................................................................[error]Repository 'MEGAsync' is invalid.
    [MEGAsync|http://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'MEGAsync' because of the above error.

    Code:
    sudo zypper -vvv ref
    Checking whether to refresh metadata for MEGAsync
    Retrieving: http://mega.nz/linux/MEGAsync/openSU...ata/repomd.xml ...............................................[done]
    Retrieving: http://mega.nz/linux/MEGAsync/openSU...ata/repomd.xml ...............................................[done]
    Retrieving: http://mega.nz/linux/MEGAsync/openSU...repomd.xml.asc ...........................................[done]
    Retrieving: http://mega.nz/linux/MEGAsync/openSU...repomd.xml.key ...........................................[done]
    Retrieving repository 'MEGAsync' metadata .....................................................................................[error]
    Repository 'MEGAsync' is invalid.
    [MEGAsync|http://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/] Valid metadata not found at specified URL
    History:
    - File /var/tmp/TmpFile.IiyI09 doesn't contain public key data


    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'MEGAsync' because of the above error.


    Already tried "zypper clean"/"zpper -v clean"/"zypperclean --all"/ "rpmdb--rebuilddb" ,cleaning /var/tmp and restarting system, nothing seems to work. I don't know why only i get this Error when other users seems to have it working fine in Leap.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,366
    Blog Entries
    2

    Default Re: Problem: Repository 'MEGAsync' is invalid

    - File /var/tmp/TmpFile.IiyI09 doesn't contain public key data
    There's nothing you can do about the above error, it's the fault of the people who set up the repo.
    But you have a couple of options...

    First, delete your non-working Megasync repo
    Code:
    zypper rm MEGAsyn
    Then,
    Option 1 - Install the repo without doing the security check
    Code:
    zypper ar -f -G http://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/ MEGAsync
    Option 2 Install just the packages without installing the repo
    The repo is tiny, in fact it looks like you only need one package and an optional second package if you want Gnome Nautilus integration.

    Run the following from a root console
    Code:
    zypper in https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/x86_64/megasync-2.9.5-1.1.x86_64.rpm
    And, if you want the Nautilus integration
    Code:
    zypper in https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/x86_64/nautilus-megasync-2.9.5-1.1.x86_64.rpm
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Default Re: Problem: Repository 'MEGAsync' is invalid

    Quote Originally Posted by tsu2 View Post
    There's nothing you can do about the above error, it's the fault of the people who set up the repo.
    But you have a couple of options...

    First, delete your non-working Megasync repo
    Code:
    zypper rm MEGAsyn
    Then,
    Option 1 - Install the repo without doing the security check
    Code:
    zypper ar -f -G http://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/ MEGAsync
    Option 2 Install just the packages without installing the repo
    The repo is tiny, in fact it looks like you only need one package and an optional second package if you want Gnome Nautilus integration.

    Run the following from a root console
    Code:
    zypper in https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/x86_64/megasync-2.9.5-1.1.x86_64.rpm
    And, if you want the Nautilus integration
    Code:
    zypper in https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/x86_64/nautilus-megasync-2.9.5-1.1.x86_64.rpm
    TSU
    So any idea why only i get that error ? I have asked others over IRC using Leap to check and they said its running fine without errors and when i contacted the Mega developers they also said its running fine when they checked it for Leap in a VM.

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,016

    Default AW: Problem: Repository 'MEGAsync' is invalid

    Post:
    Code:
    zypper lr -uP

  5. #5

    Default Re: AW: Problem: Repository 'MEGAsync' is invalid

    Quote Originally Posted by Sauerland View Post
    Post:
    Code:
    zypper lr -uP
    Here

    Code:
    #  | Alias                               | Name                                          | Enabled | GPG Check | Refresh | Priority | URI                                                                                                              ---+-------------------------------------+-----------------------------------------------+---------+-----------+---------+----------+------------------------------------------------------------------------------------------------------------------
     1 | DNS                                 | DNS                                           | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/repositories/server:/dns/openSUSE_42.1/                                             
     2 | KDE_Unstable_Applications           | KUA                                           | Yes     | (r ) Yes  | No      |   75     | http://download.opensuse.org/repositories/KDE:/Unstable:/Applications/KDE_Unstable_Frameworks_openSUSE_Leap_42.1/
     3 | KDE_Unstable_Extra                  | KUE                                           | Yes     | (r ) Yes  | No      |   75     | http://download.opensuse.org/repositories/KDE:/Unstable:/Extra/KDE_Unstable_Extra_openSUSE_Leap_42.1/            
     4 | KDE_Unstable_Frameworks             | KUF                                           | Yes     | (r ) Yes  | No      |   75     | http://download.opensuse.org/repositories/KDE:/Unstable:/Frameworks/openSUSE_Leap_42.1                           
     5 | MEGAsync                            | MEGAsync                                      | Yes     | (r ) Yes  | Yes     |   99     | http://mega.nz/linux/MEGAsync/openSUSE_Leap_42.1/                                                                
     6 | QT_5.6                              | QT56                                          | Yes     | (r ) Yes  | No      |   50     | http://download.opensuse.org/repositories/KDE:/Qt56/openSUSE_Leap_42.1/                                          
     7 | Ruby                                | Ruby                                          | No      | ----      | No      |   99     | http://download.opensuse.org/repositories/devel:/languages:/ruby/openSUSE_Leap_42.1/                             
     8 | devel_languages_ruby_extensions     | Ruby Extensions (openSUSE_Leap_42.1)          | No      | ----      | No      |   99     | http://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/openSUSE_Leap_42.1/                 
     9 | download.nvidia.com-leap            | nVidia Graphics Drivers                       | No      | ----      | Yes     |   10     | http://download.nvidia.com/opensuse/leap/42.1                                                                    
    10 | google-chrome-unstable              | google-chrome-unstable                        | Yes     | (r ) Yes  | Yes     |   99     | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                                              
    11 | home_Horst3180                      | Horst3180's Home Project (openSUSE_Leap_42.1) | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/home:/Horst3180/openSUSE_Leap_42.1/                                    
    12 | http-download.opensuse.org-0555e3ed | network:utilities                             | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/repositories/network:/utilities/openSUSE_Leap_42.1/                                 
    13 | http-download.opensuse.org-1d88065d | home:ecsos:tox                                | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/home:/ecsos:/tox/openSUSE_Leap_42.1/                                   
    14 | http-download.opensuse.org-1f5ce167 | server:monitoring                             | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/server:/monitoring/openSUSE_Leap_42.1/                                 
    15 | http-download.opensuse.org-32fc9fe0 | X11:Cinnamon:Current                          | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/X11:/Cinnamon:/Current/openSUSE_Leap_42.1/                             
    16 | http-download.opensuse.org-3d0fcfe9 | network:telephony                             | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/network:/telephony/openSUSE_Leap_42.1/                                 
    17 | http-download.opensuse.org-5f5ff7a8 | X11:windowmanagers                            | No      | ----      | No      |   99     | http://download.opensuse.org/repositories/X11:/windowmanagers/openSUSE_Leap_42.1/                                
    18 | http-download.opensuse.org-7dcfc407 | home:jgeboski                                 | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/repositories/home:/jgeboski/openSUSE_Leap_42.1/                                     
    19 | http-download.opensuse.org-8e36f848 | GNOME:Apps                                    | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Leap_42.1/                                        
    20 | http-download.opensuse.org-e78d11a3 | X11:xfce                                      | Yes     | (r ) Yes  | No      |   99     | http://download.opensuse.org/repositories/X11:/xfce/openSUSE_Leap_42.1/                                          
    21 | opera                               | Opera packages                                | Yes     | (r ) Yes  | Yes     |   99     | https://rpm.opera.com/rpm                                                                                        
    22 | packman.inode.at-suse               | Packman                                       | Yes     | (r ) Yes  | Yes     |   20     | http://ftp.fau.de/packman/suse/openSUSE_Leap_42.1/                                                               
    23 | repo-non-oss                        | openSUSE-Leap-42.1-Non-Oss                    | Yes     | (r ) Yes  | Yes     |   90     | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                                                
    24 | repo-oss                            | openSUSE-Leap-42.1-Oss                        | Yes     | (r ) Yes  | Yes     |   90     | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                                    
    25 | repo-update                         | openSUSE-Leap-42.1-Update                     | Yes     | (r ) Yes  | Yes     |   90     | http://download.opensuse.org/update/leap/42.1/oss/                                                               
    26 | repo-update-non-oss                 | openSUSE-Leap-42.1-Update-Non-Oss             | Yes     | (r ) Yes  | Yes     |   90     | http://download.opensuse.org/update/leap/42.1/non-oss/                                                            27 | virtualbox                          | virtualbox                                    | Yes     | (r ) Yes  | Yes     |  100     | http://download.virtualbox.org/virtualbox/rpm/opensuse/42.1/                                                     

  6. #6
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,972
    Blog Entries
    14

    Default Re: Problem: Repository 'MEGAsync' is invalid

    To be honest: that's a mess. It shouldn't be the culprit re. the megasync repo, but it can be re. installing the package.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  7. #7

    Default Re: Problem: Repository 'MEGAsync' is invalid

    Quote Originally Posted by Knurpht View Post
    To be honest: that's a mess. It shouldn't be the culprit re. the megasync repo, but it can be re. installing the package.
    why do you call it a mess ?

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,972
    Blog Entries
    14

    Default Re: Problem: Repository 'MEGAsync' is invalid

    Quote Originally Posted by hethkar View Post
    why do you call it a mess ?
    Because you've added a lot of repos that contain untested software. F.e. the KDE:/* repos.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9

    Default Re: Problem: Repository 'MEGAsync' is invalid

    Quote Originally Posted by Knurpht View Post
    Because you've added a lot of repos that contain untested software. F.e. the KDE:/* repos.
    Because i wanted to try Argon and those are the KDE repositories used for Argon. I don't know what it has got to do with the mega client.

  10. #10
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,366
    Blog Entries
    2

    Default Re: Problem: Repository 'MEGAsync' is invalid

    A FYI
    When running Argon (and other bleeding edge versions of LEAP),
    You're not running a standard version of your distro and a bleeding edge version is actually <likely> to have unresolved bugs, and this might be one of them. Could be that Argon is trying the very latest and maybe proposed versions of repos and the test code may not contain backwards compatible code to support older versions.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •